#include "twn_game_object_c.h"
#include "twn_game_api.h"


void game_object_load(void) {
}


void game_object_unload(void) {
    game_end();
}


bool game_object_try_reloading(void) {
    return false;
}


void game_object_tick(void) {
    game_tick();
}

void *game_object_get_game_tick_address(void) {
#pragma GCC diagnostic push 
#pragma GCC diagnostic ignored "-Wpedantic"
    return (void *)&game_tick;
#pragma GCC diagnostic pop
}
